Subject: Snippets in emacs-minimal package is not inherited by emacs-next-minimal

From: hiecaq <[email-masked]>
Date: Sun, 02 Mar 2025 20:08:52 +0800

Hi Guix,

The package emacs-minimal defines several snippets in its source 
field that do some hacks to the source code, but IIUC, since 
emacs-next-minimal redefines the source (to point to the next 
Emacs version of course!), these hacks are lost and not applied.

Notably, These hacks contain the fix for TRAMP (which fixes 
bug#55443). As a result, if people switched to use emacs-next, 
TRAMP would be broken again (as bug#73052).

TIA,
hiecaq